//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.tohi.common.pwdutil;

public class PropertiesUtil {
    public static String CRYPTOX_MODE = "CBC";
    public static String CRYPTOX_PADDING = "PKCS5Padding";
    public static String CRYPTOX_KEY = "Sa#qk5usfmMI-@2dbZP9`jL3";
    public static String CRYPTOX_SPEC = "beLd7$lB";
    public static String CRYPTOX_ALGORITHM = "DESede";
    public static String CRYPTOX_MODULUS = "";
    public static String CRYPTOX_PROVIDER = null;
    private String algorithm;
    private String mode;
    private String padding;
    private String key;
    private String spec;
    private String modulus;
    private String provider;

    public PropertiesUtil() {
        try {
            this.algorithm = PropertiesConfigurerUtil.getProperty("mxe.security.cryptox.algorithm");
            this.mode = PropertiesConfigurerUtil.getProperty("mxe.security.cryptox.mode");
            this.padding = PropertiesConfigurerUtil.getProperty("mxe.security.cryptox.padding");
            this.key = PropertiesConfigurerUtil.getProperty("mxe.security.cryptox.key");
            this.spec = PropertiesConfigurerUtil.getProperty("mxe.security.cryptox.spec");
            this.modulus = "";
            this.provider = null;
        } catch (Exception var2) {
            var2.printStackTrace();
        }

    }

    public void setAlgorithm(String algorithm) {
        this.algorithm = algorithm;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public void setPadding(String padding) {
        this.padding = padding;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public void setModulus(String modulus) {
        this.modulus = modulus;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getAlgorithm() {
        return this.algorithm;
    }

    public String getMode() {
        return this.mode;
    }

    public String getPadding() {
        return this.padding;
    }

    public String getKey() {
        return this.key;
    }

    public String getSpec() {
        return this.spec;
    }

    public String getModulus() {
        return this.modulus;
    }

    public String getProvider() {
        return this.provider;
    }
}
